FROM anapsix/alpine-java:8_server-jre_unlimited

MAINTAINER Lion Li

RUN mkdir -p /nexo/gateway/logs  \
    /nexo/gateway/temp  \
    /nexo/skywalking/agent

WORKDIR /nexo/gateway

ENV SERVER_PORT=8080

EXPOSE ${SERVER_PORT}

ADD ./target/nexo-gateway.jar ./app.jar

ENTRYPOINT ["java", \
            "-Djava.security.egd=file:/dev/./urandom", \
            "-Dserver.port=${SERVER_PORT}", \
#            "-Dskywalking.agent.service_name=nexo-gateway", \
#            "-javaagent:/nexo/skywalking/agent/skywalking-agent.jar", \
            "-jar", "app.jar"]
